/*
----------------------------------------------------------------------------
Name To Imagine Sequence
Filenames with the extension .1, .10, .100, .1000
	and with the extra extension of .image
Will be renamed to the extension: .0001, .0010, .0100, .1000

Host address: COMMAND
Written by Jan Van Overbeke, 3-DEE, 1993.
Read the AREXX-Scripti doc, for more info about operation and rights!
----------------------------------------------------------------------------
*/

arg source
dest=source

if ~exists(dest)|source='' then do
	say 'Unable to find file !!'
	say 'Please come again.'
	say ''
	exit
	end

extonepos=lastpos('.IMAGE',dest)
if extonepos=length(dest)-5 then dest=delstr(dest,extonepos)
exttwopos=lastpos('.',dest)
if exttwopos=length(dest)-1 then do
	extnumber=right(dest,1)
	if (extnumber<0)|(extnumber>9) then do
		say 'Invalid filename: Wrong extension !!'
		say 'See Ya...'
		say ''
		exit
		end
	dest=delstr(dest,exttwopos+1)||'000'||extnumber
	say 'Renaming 'source
	say 'as: 'dest
	say ''
	doscommand='rename >NIL: 'source' as 'dest
	address COMMAND doscommand
	exit
	end

if exttwopos=length(dest)-2 then do
	extnumber=right(dest,2)
	if (extnumber<10)|(extnumber>99) then do
		say 'Invalid filename: Wrong extension !!'
		say 'See Ya...'
		say ''
		exit
		end
	dest=delstr(dest,exttwopos+1)||'00'||extnumber
	say 'Renaming: 'source
	say 'as: 'dest
	say ''
	doscommand='rename >NIL: 'source' as 'dest
	address COMMAND doscommand
	exit
	end

if exttwopos=length(dest)-3 then do
	extnumber=right(dest,3)
	if (extnumber<100)|(extnumber>999) then do
		say 'Invalid filename: Wrong extension !!'
		say 'See Ya...'
		say ''
		exit
		end
	dest=delstr(dest,exttwopos+1)||'0'||extnumber
	say 'Renaming: 'source
	say 'as: 'dest
	say ''
	doscommand='rename >NIL: 'source' as 'dest
	address COMMAND doscommand
	exit
	end

if exttwopos=length(dest)-4 then do
	extnumber=right(dest,4)
	if (extnumber<1000)|(extnumber>9999) then do
		say 'Invalid filename: Wrong extension !!'
		say 'See Ya...'
		say ''
		exit
		end
	dest=delstr(dest,exttwopos+1)||extnumber
	say 'Renaming: 'source
	say 'as: 'dest
	say ''
	doscommand='rename >NIL: 'source' as 'dest
	address COMMAND doscommand
	exit
	end

say 'Extension too large !!!!'
say 'Cannot rename >NIL: filenames with extensions longer than 4 !'
say 'See Ya...'
say ''
exit
